/*header,*/
/*footer {*/
/*    background-color: var(--colour-corporate-blue);*/
/*    padding: 3em 0;*/
/*}*/

/*header {*/
/*    padding: 15px 0;*/
/*}*/

/*footer a,*/
/*footer p {*/
/*    color: #000;*/
/*}*/

#ncHeroWrapper {
    flex-flow: column nowrap;
}

nav[aria-label="Social media links"] {
    display: table;
    margin: auto;
}

ul#socialLinks {
    margin: 2em 0;
    display: flex;
    flex-flow: row nowrap;
    gap: 1.5em;
}

img.sm--logo {
    height: 40px;
}

.hf-wrapper {
    justify-content: space-between;
    padding: 0 2.5em;
}

section[data-template="ArticlesGrid"] {
    grid-template-areas:
        "hero"
        "grid";
    gap: 3em;
    width: 100%;
    max-width: 1350px;
    margin: auto;
}

section[data-template="Campaigns"] {
    grid-template-areas:
        "filters body"; 
    grid-template-columns: 1fr 2fr;   
    gap: 2.5em;    
}

article[data-template=Article] {
    display: grid;
    grid-template-areas:
        "hero"    
        "body"
        "ra";
    gap: 2em;
}

article[data-template=Article] img#hero {
    grid-area: hero;
    background-color: var(--colour-article-default);
    display: block;
    width: 100%;
    height: 350px;
    object-fit: cover;
}

article[data-template=Article] div#body {
    grid-area: body;
    display: grid;
    grid-template-areas:
        "title ."
        "details ."
        "body aside"
        "adjacent .";
    position: relative;
    /*top: -80px;*/
    margin: 0 1em;
    grid-template-columns: 1fr 350px;
    gap: 2em;
}

.article--title {
    grid-area: title;
}

.article-details {
    grid-area: details;
}

.article--content {
    grid-area: body;
}

.article--aside {
    grid-area: aside;
}

.article--adjacent {
    grid-area: adjacent;
}

/*div[data-template="Article Body"] aside#relatedArticles {*/
/*    grid-area: ra;*/
/*}*/



/*div[data-template="Article Body"] {*/
/*    display: grid;*/
/*    gap: 2em;*/
/*    grid-template-areas:*/
/*        "body related";    */
/*    grid-template-columns: 2fr 1fr;*/
/*}*/

@media screen and (max-width:910px) {
    
    div[data-template="Article Body"] {
        display: grid;
        gap: 0;
        grid-template-areas:
        "hero"
        "body";
        grid-template-columns: 1fr;
    }
    
    article[data-template=Article] div#body {
        grid-area: body;
        grid-template-areas:
            "title"
            "details"
            "body"
            "aside"
            "adjacent";
        grid-template-columns: 1fr;
        gap: 0;
    }
    
}



div[data-template="Article Body"] article {
    grid-area: body;
    background-color: #fff;
}

.body--wrapper {
    /*padding: 3em 1em;*/
}

.body-highlighter {
    flex-flow: row nowrap;    
    background-color: var(--colour-content-highlighter);        
}

.body-highlighter--icon,
.body-highlighter--content {
    padding: 2em;
}

.body-highlighter--icon {
    background-color: var(--colour-highlighter-icon);
    color: #000;
    font-size: 2em;
}




div[data-template="Article Body"] aside#relatedPages {
    grid-area: related;    
}

div[data-template="Article Body"] aside#relatedPages > div {
    padding: 3em;
    background-color: var(--colour-controls);
    position: sticky;
    top: 0;
}

/* Related articles */

/* aside#relatedArticles ul#articleGrid {
    display: block;
    grid-template-columns: none;
    overflow: hidden;    
}

aside#relatedArticles ul#articleGrid li {
    float: left;
    display: inline;
    width: calc( 33% - 4em );    
}

aside#relatedArticles ul#articleGrid li:nth-child(2) {
    margin: 0 2em 0;
} */


aside#campaignFilters {
    grid-area: filters;    
    position: relative;
}

div#filterWrapper {
    position: sticky;
    top: 0;
    background-color: #eeeeee;
    padding: 2em 2.5em;
    border-radius: 1.5em;
}

div.form--field-wrapper {
    display: flex;
    flex-flow: row nowrap;
    margin: 1em 0;
    gap: 0.5em;
    align-items: center;
}

form#searchSite div.form--field-wrapper {
    gap: 0;
}

input.form--field {
    appearance: none;
    height: 2.2em;
    width: 2.2em;
    position: relative;
    border: 4px solid #000;
}

input.form--field:checked::before {
    content: 'X';
    position: absolute;
    width: 1.25em;
    height: 1.25em;
    font-size: 1.5em;
    text-align: center;
    line-height: 1.25em;
    display: inline-block;
    font-weight: bold;
}

label.form--label {
    /* font-size: 1em; */
    padding: 0.25em 0;
    
}

form#searchSite .form--field {
    padding: 0.5em 1.5em;
}

form#searchSite input#query {
    border: none;
    background-color: #fff;    
    text-decoration: none;
    width: 100%;
}

form#searchSite button {
    border: none;
    color: #fff;
    background-color: #000;
}

article#heroArticle {
    grid-area: hero;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    margin: 2em 0 3em;
    background-color: #fff;
}

section[data-template=Campaigns] article#heroArticle {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

ul#articleGrid {
    grid-area: grid;
    display: grid;
    gap: 2.5em;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
}

/* Span the hero article */
ul#articleGrid li:first-child {
    grid-column: 1 / 3;
}

section[data-template=Campaigns] section[data-template=ArticlesGrid] {
    grid-area: body;
}

article.nc-acl-tile {
    box-shadow: 2px 2px 8px #e6e6e6;
    display: flex;
    flex-flow: column;
    background-color: #fff;
}

img.nc-acl-image {
    background-color: #d4d4d4;
    height: 250px;
    width: 100%;
    object-fit: cover;
}

img.nc-acl-image_featured {
    height: 100%;
}

article div.nc-acl-body {
    padding: 2.5em 2em;
}

@media screen and ( max-width: 900px ) {
    
    div[data-template="Article Body"] {        
        grid-template-areas:
            "body"
            "related";        
    }

    article#heroArticle {        
        grid-template-areas:
            "image"
            "body";
        grid-template-columns: auto;        
    }

    article#heroArticle .nc-acl-body {
        grid-area: body;
    }

    article#heroArticle .nc-acl-image {
        grid-area: image;
    }

    img.nc-acl-image_featured {
        height: 250px;
    }
    
    section[data-template="Campaigns"] {
        grid-template-areas:
            "filters"
            "body"; 
        grid-template-columns: 1fr;
    }
    
    @media screen and ( max-width: 650px ) {
    
        ul#articleGrid {
            grid-template-columns: 1fr;
        }
        
           
        ul#articleGrid li:first-child {
            grid-column: 1 / 1;
        }
        
    }
    
}

#Pagination {
    display: flex;
    gap: 0.75em;
    flex-flow: row nowrap;
    margin: 4.5em 0 2em;
    justify-content: center;
}

#Pagination a {
    display: inline-block;
    background-color: #e8e8e8;
    text-decoration: none;
    padding: 0 1em;
    line-height: 3em;
    border-radius: 1.5em !important;
    color: #1d1d1d;
    font-weight: bold;
}

.pagination--current-page {
    margin: 0;
    line-height: 3em;
    width: auto;
    font-weight: bold;
    padding: 0 1em;
}

#nPageTags {
    display: flex;
    flex-flow: row wrap;
    gap: 1em;
}

#nPageTags li {
    padding: 0.25em 0.75em;
    background-color: #d5d2d2;
    font-weight: bold;
    border-radius: 0.5em; !important
}

/* adjacent articles */

.adjacent-pages {
display: grid;
grid-template-areas:
    "prev next";
margin: 3.5em 0 2em;
}

.adjacent-pages > div:first-child {
    grid-area: prev;
}

.adjacent-pages > div:last-child {
    grid-area: next;
}

@media screen and (max-width:500px) {
    
    .adjacent-pages {
        grid-template-areas:
            "prev"
            "next";
    }
    
}

.adjacent-pages--nav {
display: flex;
flex-grow: 1;
flex-flow: row nowrap;
background-color: #f8f8f8 !important;
margin: 0.25em 0;
}
.adjacent-article--title{
font-size: 1.25em;
}
.adjacent-pages--prompt {
display: block;
color: #555555;
}
.adjacent-page--link {
display: flex;
align-items: center;
justify-content: center;
background-color: #9f2b00 !important;
color: white;
font-weight: bold;
text-decoration: none;
flex: 0 0 5em;
}
.adjacent-pages--arrow {
font-weight: bold;
font-size: 1.5em;
text-decoration: none;
}
.adjacent-pages--arrow_rotate {
transform: rotate(-180deg);
}
.adjacent-pages--content {
padding: 1em;
flex-grow: 1;
}

.adjacent-pages > div:nth-child(2) {
text-align: right;
}

/* end of adjacent articles */

/* article aside */

.article-aside > div {
    margin-bottom: 15px;
}

.article-aside--group-name {
    position: relative;
}

.article-aside--group-name:before {
    position: absolute;
    left: 0;
    top: 100%;
    content: '';
    border-bottom-width: 150px;
    width: 80px;
    margin-top: 8px;
    height: 8px;
    display: inline-block;
    background-color: #1B3280;
}

.article-aside--group-info {
padding: 15px 0 15px 10px;
}

.article-aside--group-info_low-margin p {
    margin-top: 0;
}

li.article-aside--link {
    position: relative;
    padding-left: 2em;
    margin: 1em 0;
}

li.article-aside--link:before {
    content: '\2794';
    position: absolute;
    left: 0;
}

/* end of article aside */

.form--label_hide {
    display: none;
}

.share--icon {
    display: inline-block;
    width: 40px;
    height: 40px;
}

.related-campaigns {
     display: grid;
     grid-template-columns: repeat(3, 1fr);
     gap: 1em;
}

.related-campaigns--article {
    box-shadow: 2px 2px 8px #e6e6e6;
    background-color: #fff;
}

.related-campaigns--body {
    padding: 2.5em 2em;
}

@media screen and (max-width:860px) {
    
    .related-campaigns {
         grid-template-columns: repeat(2, 1fr);
    }
    
    @media screen and (max-width:550px) {
        
        .related-campaigns {
             grid-template-columns: 1fr;
        }
        
    }
    
}